Bug 68436 - Cannot configure alias interface for DHCP
Cannot configure alias interface for DHCP
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-10 04:11 EDT by Martin Lichtin
Modified: 2014-03-16 22:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 16:05:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Lichtin 2002-07-10 04:11:19 EDT
From Bugzilla Helper:  
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux)  
  
Description of problem:  
Cannot configure an alias interface for use with DHCP.  
I need two DHCP addresses for the eth0 interface, so I configure  
both eth0 and eth0:0 for DHCP. This does not work for the alias  
interface.  
  
Version-Release number of selected component (if applicable):  
6.67-1  
  
How reproducible:  
Always  
  
Steps to Reproduce:  
1. Create ifcfg-eth0:0 containing  
  
DEVICE=eth0:0  
BOOTPROTO=dhcp  
  
2. Run ifup eth0  
   
  
Actual Results:    
# ifup eth0  
Determining IP information for eth0... done.  
error in ifcfg-eth0:0: didn't specify device or ipaddr  
  
  
Additional info:
Comment 1 Bill Nottingham 2005-09-29 16:05:04 EDT
Aliases don't support dhcp.

Note You need to log in before you can comment on or make changes to this bug.